Skip to main content
POST

Query Parameters

offerTypes
string[]

List of Offer types to consider during discount calculation

excludedOfferTypes
string[]

List of Offer types to exclude during discount calculation

skipReservation
boolean

When set tot true, coupons that granted discount/bonus will not be reserved

preserveExternalDiscounts
boolean

When set, controls whether external discounts are preserved in the response, overriding the PreserveExternalDiscounts feature flag

Body

The specified basket that the discounts need to be calculated for.

The current basket state

id
string | null

The basket identifier

storeId
string | null

The store identifier

customer
object

Represents the customer associated with the basket

checkoutType
string | null

The checkout type used during the purchase. If provided, only discounts matching this type will be considered.

purchaseTime
string<date-time> | null

Time when purchase was made. If provided, coupons avaialble at that time will be retrieved instead of currently available coupons

total
number<double>

The basket total

lineItems
object[] | null

The basket line items

discounts
object[] | null

The set of basket-level discounts

coupons
object[] | null

The set of coupons associated with basket-level discounts

Response

OK

Represents an updated basket state with the currently applicable discounts and their calculations

id
string | null

The basket identifier

total
number<double>

The initial basket total

finalTotal
number<double>

The updated basket total (after discounts have been applied)

lineItems
object[] | null

The set of line items associated with the current basket

discounts
object[] | null

The set of basket-level discounts associated with the current basket

bonuses
object[] | null

The set of basket-level bonuses associated with the current basket

coupons
object[] | null

The set of coupons associated with the basket-level discounts

Last modified on August 10, 2026